Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ResourceData_Raw

Resource Data Raw Class
Contained in: global
Derived from: CL_ResourceData
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_ResourceData_Raw` | `(`class` `CL_Resource`& `resource`)`;

### private function member index:

### Implementation:

``void`` | `on_load_file` | `()`;
``void`` | `on_load_datafile` | `(`class` `CL_InputSourceProvider`* `provider`)`;
``void`` | `on_save_datafile` | `(`class` `CL_OutputSourceProvider`* `provider`)`;
``void`` | `on_unload` | `()`;

## Description:

## Function Member Descriptions:

CL_ResourceData_Raw::CL_ResourceData_Raw - Resource Data Raw Constructor
`` `CL_ResourceData_Raw` `(`class` `CL_Resource`& `resource`)`;

## Variable Member Descriptions:

CL_ResourceData_Raw::value - value (dox to be written)
``std::vector`<`unsigned` `char`>` ``value`;`